[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# RegisterDaemonClass

Register daemon

## Declaration

Source position: daemonapp.pp line 416

`procedure RegisterDaemonClass(`
`AClass: TCustomDaemonClass`
`);`

## Arguments

`AClass` |  | TCustomDaemon descendent class to be registered.

## Description

RegisterDaemonClass must be called for each TCustomDaemon descendent that is used in the class: the class pointer and class name are used by the TCustomDaemonMapperClass class to create a TCustomDaemon instance when a daemon is required.

## See also

TCustomDaemonMapperClass |  | Class of TCustomDaemonMapper
TCustomDaemon |  | Base daemon application class